cc.funkemunky.api.tinyprotocol.reflection

## Interface FieldAccessor<T>

    public interface FieldAccessor<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `get(java.lang.Object target)` Retrieve the content of a field.
`boolean` `hasField(java.lang.Object target)` Determine if the given object has this field.
`void` `set(java.lang.Object target, java.lang.Object value)` Set the content of a field.

### Method Detail

#### get

    T get(java.lang.Object target)

Retrieve the content of a field.

Parameters:
  `target` - - the target object, or NULL for a static field.
Returns:
  The value of the field.

#### set

    void set(java.lang.Object target,
             java.lang.Object value)

Set the content of a field.

Parameters:
  `target` - - the target object, or NULL for a static field.
  `value` - - the new value of the field.

#### hasField

    boolean hasField(java.lang.Object target)

Determine if the given object has this field.

Parameters:
  `target` - - the object to test.
Returns:
  TRUE if it does, FALSE otherwise.